%global debug_package %{nil}

Name:           libcxxabi
Version:        12.0.1
Release:        2
Summary:        LLVM "libcxxabi" runtime libraries
License:        BSD
URL:            http://llvm.org
Source0:        https://github.com/llvm/llvm-project/releases/download/llvmorg-%{version}/libcxxabi-%{version}.src.tar.xz

Patch0:         0001-PATCH-libcxxabi-Remove-monorepo-requirement.patch
Patch1:         0002-PATCH-libcxxabi-Include-refstring.h-from-system-incl.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  python3
BuildRequires:  libcxx-devel >= %{version}

%description
The libcxxabi-devel package includes the libraries and header files for libcxxabi.

%package devel
Summary:    Headers and libraries for libcxxabi devel
Requires:    %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}.

%package static
Summary:	Static libraries for libcxxabi

%description static
%{summary}.

%prep
%autosetup -n libcxxabi-%{version}.src -p2

%build
mkdir -p _build
cd _build

cmake \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DCMAKE_BUILD_TYPE=RelWithDebInfo \
        -DLIBCXXABI_LIBCXX_INCLUDES=%{_includedir}/c++/v1/ \
        -DCMAKE_CXX_FLAGS="-std=c++11"\
%if 0%{?__isa_bits} == 64
        -DLLVM_LIBDIR_SUFFIX=64 \
%else
        -DLLVM_LIBDIR_SUFFIX= \
%endif
  ..

%make_build

%install
cd _build
%make_install

mkdir -p %{buildroot}%{_includedir}
cp -a ../include/* %{buildroot}%{_includedir}

%files
%{_libdir}/libc++abi.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/libc++abi.so

%files static
%{_libdir}/libc++abi.a

%changelog
* Tue Mar 12 2024 Wang Zehong <wangzehong2@huawei.com> - 12.0.1-2
- update to 12.0.1-2

* Tue Feb 7 2023 Wang Zehong <wangzehong2@huawei.com> - 12.0.1-1
- update to 12.0.1-1
